Subject: bug#8603: 23.3.50; vc-dir can easily guess wrong VCS

From: Glenn Morris <[email-masked]>
Date: Mon, 02 May 2011 16:17:19 -0400

Reuben Thomas wrote:

> If I run vc-dir on a directory /foo/bar/baz, where /foo/.bzr and
> /foo/bar/.git exist, then Emacs guesses wrongly that /foo/bar/baz is
> under Bzr.

This is the documented way it works, for the time being at least.
This is basically a duplicate of

http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8179

> Further, deleting the .bzr directory (which was indeed bogus; it's
> obviously relatively rare to have a tree under one VCS inside a tree
> under another, with the exception of foreign modules, possibly?) did not
> help: I had to restart Emacs to get it to forget the .bzr directory.